Verify
Verify account existence
POST
https://api.ominihub.com/v1/verify/accountValidate a wallet in real time and return masked holder data before initiating a payout.
Body params
2 fieldsmsisdnstringRequiredWallet phone number in E.164 format, for example +233244123456.
Example
+233244123456
provider"mtn" | "airteltigo" | "telecel"RequiredMobile money network where the account is hosted.
Example
mtn
Request body
| 1 | { |
| 2 | "msisdn": "+233244123456", |
| 3 | "provider": "mtn" |
| 4 | } |
Responses
{
"id": "vrf_01HZYE4M5G3R9G8P1Q2A7W5K0N",
"exists": true,
"holder_name_masked": "K** A**",
"account_age_days": 842,
"tier": "wallet_plus"
}Test it
Choose a languageOminiHub SDK request
Verify account existence
| 1 | import OminiHub from '@ominihub/sdk'; |
| 2 | |
| 3 | const ominihub = new OminiHub({ apiKey: 'sk_sandbox_xxxxx', apiVersion: 'v1' }); |
| 4 | |
| 5 | // create the verify service client |
| 6 | const verify = ominihub.verify; |
| 7 | const response = await verify.verifyAccountExistence({ |
| 8 | "msisdn": "+233244123456", |
| 9 | "provider": "mtn" |
| 10 | }); |
| 11 | |
| 12 | console.log(response); |